For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
HomeGuidesAPI ReferenceGlossary
HomeGuidesAPI ReferenceGlossary
      • Creating and Managing Payers (C2s)
      • Creating and Managing Vendors (C3s)
      • Creating Payouts via API
      • Invoices
      • Batch Payments
      • Recurring Payments
      • Approval Policies
      • Email Inbox
      • GL Accounts
      • Vendor Credits
      • Accounting Sync
Logo
Sign inBook a demo
On this page
  • Add API Key
  • Sync Entity
  • Link Accounting Platform
  • Sync Vendors and Bills
Accounts Payable

Accounting Sync

Was this page helpful?
Previous

Creating and Managing Vendors (C2s)

Next
Built with

Mercoa supports accounting sync with Codat and Rutter. These are referred to as “Accounting Sync Platforms.”

Add API Key

In the developer portal, choose the accounting sync platform and provide your API key.

Sync Entity

You must tie the Mercoa entity with the business object created in the accounting sync platform. Mercoa can create a new object in the accounting sync platform, or tie the entity to an existing object.

POST
/entity/:entityId/external-accounting-system/create
1curl -X POST https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/external-accounting-system/create \
2 -H "Authorization: Bearer <token>" \
3 -H "Content-Type: application/json" \
4 -d '{
5 "type": "rutter",
6 "accessToken": "123"
7}'
Try it

Link Accounting Platform

If your user hasn’t configured their accounting software with the accounting sync platform, you can generate a link from the accounting sync platform to let them connect their accounting software to the platform.

GET
/entity/:entityId/external-accounting-system/connect
1curl https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/external-accounting-system/connect \
2 -H "Authorization: Bearer <token>"
Try it

Sync Vendors and Bills

Vendors and bills are synced on demand. There is no automatic sync.

GET
/entity/:entityId/external-accounting-system/sync
1curl -G https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/external-accounting-system/sync \
2 -H "Authorization: Bearer <token>" \
3 -d vendors=pull \
4 -d bills=push \
5 -d glAccounts=pull
Try it